<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/View/Template.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.View.Template</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../View.html" >View</a>
</div><div class="class-name">class Template

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/HTML/View.py.html" target="detail">../Synopsis/Formatters/HTML/View.py</a></div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line62" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Template-inheritance" src="Template-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Template-inheritance_map" />
<map name="Template-inheritance_map"><area alt="Scopes/Synopsis/Formatters/HTML/View/Format.html" href="Format.html" shape="rect" coords="11, 7, 264, 31" />
</map>
 <div class="doc">Format subclass that uses a template file to define the HTML header
    and footer for each view.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="template">template</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line66" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="copy_files">copy_files</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line67" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="init">init</a>(<span class="variable">self</span>, <span class="variable">processor</span>, <span class="variable">prefix</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template.init" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line69" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Template.html#load_file" >load_file</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template.load_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line81" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Template.html#write" >write</a></span>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template.write" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line125" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Template.html#view_header" >view_header</a></span>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">title</span>, <span class="variable">body</span>, <span class="variable">headextra</span>, <span class="variable">view</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template.view_header" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line132" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Template.html#view_footer" >view_footer</a></span>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template.view_footer" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line155" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="load_file">load_file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template.load_file" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line81" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Loads and parses the template file</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="write">write</a>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">text</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template.write" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line125" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Writes the text to the output stream&#44; replaceing @PREFIX@ with the
        prefix for this file</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="view_header">view_header</a>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">title</span>, <span class="variable">body</span>, <span class="variable">headextra</span>, <span class="variable">view</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template.view_header" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line132" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the header using the template file</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="view_footer">view_footer</a>(<span class="variable">self</span>, <span class="variable">os</span>, <span class="variable">body</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref13.html#Synopsis.Formatters.HTML.View.Template.view_footer" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/View.py.html#line155" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Formats the footer using the template file</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
